#include <sys/time.h>
#include <sys/resource.h>

#include <assert.h>

long memory_usage_in_kb(void) {
    struct rusage usage;
    int rc = getrusage(RUSAGE_SELF, &usage);
    assert(rc == 0);

    long maxrss_kb = usage.ru_maxrss;
    return maxrss_kb;
}
