#!/bin/bash
cd prolog
mkdir -p testresults
rm -f testresults/*.xml
echo "<testsuite><testcase name=\"Hudson configuration\" classname=\"Configuration.Hudson\" time=\"0\"></testcase></testsuite>" > testresults/hudson.xml

export PROB_JUNIT_DIR="testresults"
export PROB_JUNIT=" -junit $PROB_JUNIT_DIR"

# set parallel to a default value
if [ -z "$PARALLEL" ]
then
   RSRC=1
fi

# set target to a default value => run all tests unless specified otherwise
if [ -z "$TARGET" ]
then
   RSRC=test
fi

# sanity checking test cases: multiple ids, missing output files, etc.
make sanity_check && make -j ${PARALLEL} ${TARGET}
